EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'RepositoryMonitors_GetRepositoryMonitors',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'RepositoryMonitors_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all repository monitors.'
GO

IF OBJECT_ID('[RepositoryMonitors_GetRepositoryMonitors]') IS NOT NULL DROP PROCEDURE [RepositoryMonitors_GetRepositoryMonitors]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RepositoryMonitors_GetRepositoryMonitors]
(
    @IncludeInactive_Indicator YNINDICATOR = NULL
)
AS
BEGIN

    SET NOCOUNT ON

    SELECT * 
      FROM [RepositoryMonitors_Extended]
	 WHERE [Active_Indicator] = 'Y' OR @IncludeInactive_Indicator = 'Y'
	 ORDER BY [RepositoryMonitor_Name]

END
GO

GRANT EXECUTE ON [RepositoryMonitors_GetRepositoryMonitors] TO [BuildMasterUser_Role]