EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'VariableValueRenderers_GetVariableValueRenderer',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'VariableValueRenderers_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified variable value renderer.'
GO

IF OBJECT_ID('[VariableValueRenderers_GetVariableValueRenderer]') IS NOT NULL DROP PROCEDURE [VariableValueRenderers_GetVariableValueRenderer]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [VariableValueRenderers_GetVariableValueRenderer]
(
	@VariableValueRenderer_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT * FROM [VariableValueRenderers_Extended]
	WHERE [VariableValueRenderer_Id] = @VariableValueRenderer_Id

END
GO

GRANT EXECUTE ON [VariableValueRenderers_GetVariableValueRenderer] TO [BuildMasterUser_Role]
