EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_GetBuildVariables',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildVariables',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets variables for a build.'
GO

IF OBJECT_ID('[Variables_GetPackageVariables]') IS NOT NULL DROP PROCEDURE [Variables_GetPackageVariables]
GO
IF OBJECT_ID('[Variables_GetBuildVariables]') IS NOT NULL DROP PROCEDURE [Variables_GetBuildVariables]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_GetBuildVariables]
(
    @Build_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [BuildVariables]
     WHERE [Build_Id] = @Build_Id

END
GO

GRANT EXECUTE ON [Variables_GetBuildVariables] TO [BuildMasterUser_Role]