--AH:ScriptId=e1f73906-0813-429e-922c-4ffac28ee759;1750
ALTER TABLE [Servers]
	ADD [ServerType_Code] CHAR(1)

GO

UPDATE [Servers]
   SET [ServerType_Code] = CASE WHEN [ServerGroup_Indicator] = 'Y' THEN 'G' ELSE 'S' END

ALTER TABLE [Servers]
	ALTER COLUMN [ServerType_Code] CHAR(1) NOT NULL

ALTER TABLE [Servers]
	ADD CONSTRAINT [CK__Servers__ServerType_Code]
		CHECK ([ServerType_Code] IN ('S', 'G', 'P'))

ALTER TABLE [Servers]
	DROP CONSTRAINT [CK__Servers__ServerGroupValidator]

ALTER TABLE [Servers]
	ADD CONSTRAINT [CK__Servers__ServerGroupValidator]
		CHECK(([Agent_Configuration] IS NOT NULL AND [ServerType_Code] = 'S')
		   OR ([Agent_Configuration] IS NULL AND [ServerType_Code] <> 'S'))

ALTER TABLE [Servers]
	DROP COLUMN [ServerGroup_Indicator]