--AH:ScriptId=3caac995-1619-431e-a186-5d68ea19d23f;3040
ALTER TABLE [Executions]
	DROP CONSTRAINT [CK__Executions__ExecutionMode_Code]
GO

ALTER TABLE [Executions]
	ADD CONSTRAINT [CK__Executions__ExecutionMode_Code]
		CHECK ([ExecutionMode_Code] IN ('A', 'B', 'C', 'D', 'E', 'M'))
GO

CREATE TABLE [ManualExecutions]
(
	[Execution_Id] INT NOT NULL,
	[ExecutionType_Name] VARCHAR(50) NOT NULL,
	[Execution_Configuration] XML NOT NULL,

	CONSTRAINT [PK__ManualExecutions]
		PRIMARY KEY ([Execution_Id]),

	CONSTRAINT [FK__ManualExecutions__Executions]
		FOREIGN KEY ([Execution_Id])
		REFERENCES [Executions] ([Execution_Id])
		ON DELETE CASCADE
)