EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Credentials_GetCredentials',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Credentials_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all credentials in the system.'
GO


IF OBJECT_ID('[Credentials_GetCredentials]') IS NOT NULL DROP PROCEDURE [Credentials_GetCredentials]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Credentials_GetCredentials]
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [Credentials_Extended]
	ORDER BY [Application_Name], [Credential_Name]

END
GO

GRANT EXECUTE ON [Credentials_GetCredentials] TO [BuildMasterUser_Role]