EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'DatabaseConnections_GetConnection',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'DatabaseConnections_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a database connection.'
GO


IF OBJECT_ID('[DatabaseConnections_GetConnection]') IS NOT NULL DROP PROCEDURE [DatabaseConnections_GetConnection]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [DatabaseConnections_GetConnection]
(
	@DatabaseConnection_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DatabaseConnections_Extended]
	 WHERE [DatabaseConnection_Id] = @DatabaseConnection_Id

END
GO

GRANT EXECUTE ON [DatabaseConnections_GetConnection] TO [BuildMasterUser_Role]